Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::CollisionConverter Class Reference

コリジョンコンバータ More...

`#include <CollisionConverter.h>`

List of all members.

## Public Member Functions
| CollisionConverter ()
| コンストラクタ
virtual | ~CollisionConverter ()
| デストラクタ
virtual bool | convert (Scene *scene, CollisionScene *collisionScene)
| コンバート
## Protected Member Functions
virtual bool | convertNode (CollisionNode *parentCollisionNode, SceneNode *sceneNode)
| ノードのコンバート
virtual bool | convertLeaf (CollisionNode *parentCollisionNode, SceneLeaf *sceneLeaf)
| リーフのコンバート
virtual bool | convertStaticDeformedMesh (CollisionNode *parentCollisionNode, Mesh *mesh)
| 静的変形メッシュのコンバート
virtual bool | setCollisionLeafData (CollisionNode *parentCollisionNode, Mesh *mesh, CollisionLeaf *collisionLeaf)
| コリジョンリーフデータ設定

## Detailed Description

コリジョンコンバータ

Definition at line 43 of file CollisionConverter.h.

## Member Function Documentation

bool Lamp::CollisionConverter::convert | ( | Scene * | scene,
|  | CollisionScene * | collisionScene
| ) | `[virtual]`

  | コンバート Parameters:
  scene | コンバート元シーン
  collisionScene | コンバート先シーン
Returns: 成功すればtrue Definition at line 50 of file CollisionConverter.cpp. References Assert, convertLeaf(), convertNode(), Lamp::CollisionScene::getRootNode(), Lamp::Scene::getRootNode(), Lamp::SceneNode::getSceneLeaf(), Lamp::SceneNode::getSceneLeafCount(), Lamp::SceneNode::getSceneNode(), Lamp::SceneNode::getSceneNodeCount(), and NULL.

bool Lamp::CollisionConverter::convertLeaf | ( | CollisionNode * | parentCollisionNode,
|  | SceneLeaf * | sceneLeaf
| ) | `[protected, virtual]`

  | リーフのコンバート Parameters:
  parentCollisionNode | 親コリジョンノード
  sceneLeaf | シーンリーフ
Returns: 成功すればtrue Definition at line 102 of file CollisionConverter.cpp. References Lamp::SceneObject::castModel(), convertStaticDeformedMesh(), Lamp::Model::getMesh(), Lamp::Model::getMeshCount(), and Lamp::SceneObject::isModel(). Referenced by convert(), and convertNode().

bool Lamp::CollisionConverter::convertNode | ( | CollisionNode * | parentCollisionNode,
|  | SceneNode * | sceneNode
| ) | `[protected, virtual]`

  | ノードのコンバート Parameters:
  parentCollisionNode | 親コリジョンノード
  sceneNode | シーンノード
Returns: 成功すればtrue Definition at line 73 of file CollisionConverter.cpp. References Lamp::CollisionNode::addChild(), convertLeaf(), Lamp::CollisionScene::createCollisionNode(), Lamp::SceneObject::getName(), Lamp::SceneNode::getRotationXYZ(), Lamp::SceneNode::getScale(), Lamp::SceneNode::getSceneLeaf(), Lamp::SceneNode::getSceneLeafCount(), Lamp::SceneNode::getSceneNode(), Lamp::SceneNode::getSceneNodeCount(), Lamp::SceneNode::getTranslation(), Lamp::SceneNode::isEnabled(), Lamp::CollisionObject::setEnabled(), Lamp::CollisionNode::setRotationXYZ(), Lamp::CollisionNode::setScale(), and Lamp::CollisionNode::setTranslation(). Referenced by convert().

bool Lamp::CollisionConverter::convertStaticDeformedMesh | ( | CollisionNode * | parentCollisionNode,
|  | Mesh * | mesh
| ) | `[protected, virtual]`

  | 静的変形メッシュのコンバート Parameters:
  parentCollisionNode | 親コリジョンノード
  mesh | メッシュ
Returns: 成功すればtrue Definition at line 117 of file CollisionConverter.cpp. References Lamp::CollisionScene::createStaticDeformedMeshCollision(), ErrorOut, Lamp::Mesh::getBoundingBox(), Lamp::Mesh::getBoundingSphere(), Lamp::String::getBytes(), Lamp::SceneObject::getName(), Lamp::Mesh::getPrimitiveCount(), Lamp::Mesh::getPrimitiveType(), Lamp::Mesh::getTriangle(), Lamp::StaticDeformedMeshCollision::setBoundingBox(), Lamp::StaticDeformedMeshCollision::setBoundingSphere(), setCollisionLeafData(), Lamp::StaticDeformedMeshCollision::setTriangle(), and Lamp::StaticDeformedMeshCollision::setTriangleCount(). Referenced by convertLeaf().

bool Lamp::CollisionConverter::setCollisionLeafData | ( | CollisionNode * | parentCollisionNode,
|  | Mesh * | mesh,
|  | CollisionLeaf * | collisionLeaf
| ) | `[protected, virtual]`

  | コリジョンリーフデータ設定 Parameters:
  parentCollisionNode | 親コリジョンノード
  mesh | メッシュ
  collisionLeaf | コリジョンリーフ
Returns: 成功すればtrue Definition at line 149 of file CollisionConverter.cpp. References Lamp::CollisionNode::addChild(), ErrorOut, Lamp::String::getBytes(), Lamp::Material::getLightMask(), Lamp::Mesh::getMaterial(), Lamp::SceneObject::getName(), Lamp::Mesh::isEnabled(), NULL, Lamp::CollisionLeaf::setCollisionMask(), and Lamp::CollisionObject::setEnabled(). Referenced by convertStaticDeformedMesh().

The documentation for this class was generated from the following files:

- CollisionConverter.h
- CollisionConverter.cpp